Summary:    A set of system configuration and setup files
Name:       setup
Version:    2.7.24
Release:    %mkrel 1
License:    Public Domain
Group:      System/Base
Url:        https://www.mageia.org
# http://gitweb.mageia.org/software/setup
# NO PATCH ALLOWED, COMMIT IN GIT!!!!
Source0:     %{name}-%{version}.tar.xz
BuildArch: noarch
BuildRequires: bash tcsh perl
# prevent the shell to fail running post script:
Requires(posttrans): glibc
# for backward compatibility, to remove when other packages correctly require run-parts directly:
Requires:   run-parts

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

You should install the setup package because you will
find yourself using its many features for system
administration.


%prep
%setup -q
./shadowconvert.sh

%check
# Run any sanity checks.
make check

%install
%makeinstall_std

%files
%doc NEWS
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/passwd
%verify(not md5 size mtime) %attr(0440,root,shadow) %config(noreplace) %{_sysconfdir}/shadow
%verify(not md5 size mtime) %attr(0440,root,shadow) %config(noreplace) %{_sysconfdir}/gshadow
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/fstab
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/resolv.conf
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/group
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts
%config(noreplace) %{_sysconfdir}/services
%config(noreplace) %{_sysconfdir}/inputrc
%config(noreplace) %{_sysconfdir}/filesystems
%config(noreplace) %{_sysconfdir}/host.conf
%config(noreplace) %{_sysconfdir}/hosts.allow
%config(noreplace) %{_sysconfdir}/hosts.deny
%config(noreplace) %{_sysconfdir}/motd
%config(noreplace) %{_sysconfdir}/printcap
%config(noreplace) %{_sysconfdir}/profile
%config(noreplace) %{_sysconfdir}/shells
%config(noreplace) %{_sysconfdir}/protocols
%attr(0644,root,root) %config(missingok,noreplace) %{_sysconfdir}/securetty
%config(noreplace) %{_sysconfdir}/csh.login
%config(noreplace) %{_sysconfdir}/csh.cshrc
%ghost %verify(not md5 size mtime) /var/log/lastlog

# (mga5) fix permissions:
%triggerun -p <lua> -- %{name} < 2.7.20-9.2
posix.chown("/etc/shadow", "root", "shadow")
posix.chmod("/etc/shadow", "0440")
posix.chown("/etc/gshadow", "root", "shadow")
posix.chmod("/etc/gshadow", "0440")
if posix.access("/etc/shadow-", "r") then
  posix.chown("/etc/shadow-", "root", "shadow")
  posix.chmod("/etc/shadow-", "0440")
end
if posix.access("/etc/gshadow-", "r") then
  posix.chown("/etc/gshadow-", "root", "shadow")
  posix.chmod("/etc/gshadow-", "0440")
end

cfgfiles = {'fstab', 'group', 'gshadow', 'hosts', 'passwd', 'resolv.conf', 'shadow'}
for i, file in ipairs(cfgfiles) do
  if posix.stat("/etc/" .. file .. ".rpmnew") then
    os.remove("/etc/" .. file .. ".rpmnew")
  end
end

%posttrans
if [ -x /usr/sbin/nscd ]; then
	nscd -i passwd -i group || :
fi


%changelog
* Thu Sep 01 2016 tv <tv> 2.7.24-1.mga6
+ Revision: 1049676
- add BRs for testsuite
- do not try to create lastlog in %%posttrans as we already package it
- run checks
- clean spec
- merge patches & shadowconvert.sh into git
- sync services+protocols with FC
- hosts: add a default IPv6 localhost entry
- filesystem:
  o add asterisk to honor /proc/filesystems
  o list ext[34] fs

* Fri Feb 19 2016 umeabot <umeabot> 2.7.21-7.mga6
+ Revision: 969337
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.7.21-6.mga6
+ Revision: 867886
- rebuild for new gcc

* Wed Apr 08 2015 akien <akien> 2.7.21-5.mga5
+ Revision: 819875
- Delete .rpmnew files in %%triggerun instead of %%post
- Bump %%triggerun version to also remove .rpmnew files from already-updated systems
- Use lua in the %%post script as shell might not be available at install time
- Delete potential .rpmnew files in %%post to ease upgrades (mga#14266, mga#14516)

* Fri Mar 20 2015 akien <akien> 2.7.21-4.mga5
+ Revision: 819034
- Fix permissions for /etc/{,g}shadow{,-} (mga#14516)

* Wed Oct 15 2014 umeabot <umeabot> 2.7.21-3.mga5
+ Revision: 744206
- Second Mageia 5 Mass Rebuild

  + eatdirt <eatdirt>
    - Change permission on (g)shadow files mga#14194

  + akien <akien>
    - New tarball, add /usr/local/games to the PATH in /etc/profile

* Tue Sep 16 2014 umeabot <umeabot> 2.7.20-10.mga5
+ Revision: 689120
- Mageia 5 Mass Rebuild

* Sat Dec 14 2013 colin <colin> 2.7.20-9.mga4
+ Revision: 556778
- Fix patch application (due to rpm bug) mga#11980

* Thu Dec 12 2013 pterjan <pterjan> 2.7.20-8.mga4
+ Revision: 556507
- Install the created shadow and gshadow files into /etc
- Fix architecture tag, so that it can be built

  + tv <tv>
    - make it noarch

* Thu May 23 2013 colin <colin> 2.7.20-6.mga4
+ Revision: 424805
- Nuke the 'shutdown' and 'halt' users. They serve no purpose these days (mga#7389)

* Mon Apr 22 2013 tv <tv> 2.7.20-5.mga3
+ Revision: 410770
- convert to shadow at build time and package /etc/{g,}shadow
  thus fixing "su: Insufficient credentials to access authentication data"
  errors in post scripts between setup & basesystem-minimal installations

* Mon Apr 01 2013 tv <tv> 2.7.20-4.mga3
+ Revision: 407081
- drop old TCB conversion in %%post and adding old new groups,
  thus enabling setup to be installed earlier in transactions,
  thus fixing bogus file permissions (mga#9326)

* Wed Jan 23 2013 fwang <fwang> 2.7.20-3.mga3
+ Revision: 391543
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 2.7.20-2.mga3
+ Revision: 381948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 15 2012 kamil <kamil> 2.7.20-1.mga2
+ Revision: 223507
- remove run-parts from this package, it's packaged separately

* Thu Mar 15 2012 guillomovitch <guillomovitch> 2.7.19-1.mga2
+ Revision: 223489
- drop old migration trigger
- new version

* Tue Oct 25 2011 dmorgan <dmorgan> 2.7.18-5.mga2
+ Revision: 157976
- Really do not package mtab
- Remove unneeded rpmstuff
- Remove occurency to mtab ( tks to sander85)
- mtab is owned by util-linux now

* Wed Jan 12 2011 blino <blino> 2.7.18-3.mga1
+ Revision: 6778
- update url
- remove old conflicts
- imported package setup

